# Uses of Enum
org.apache.qpid.proton.amqp.messaging.TerminusDurability

Packages that use TerminusDurability
Package
Description
org.apache.qpid.proton.amqp.messaging

## Uses of TerminusDurability in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return TerminusDurability
Modifier and Type
Method
Description
`static TerminusDurability`
TerminusDurability.`get(UnsignedInteger value)`
`final TerminusDurability`
Terminus.`getDurable()`
`static TerminusDurability`
TerminusDurability.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TerminusDurability[]`
TerminusDurability.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type TerminusDurability
Modifier and Type
Method
Description
`final void`
Terminus.`setDurable(TerminusDurability durable)`